import { IAnalyticalWorkspace, IExecutionFactory, IWorkspaceCatalogFactory, IWorkspaceDatasetsService, IWorkspaceInsightsService, IWorkspaceAttributesService, IWorkspaceFactsService, IWorkspaceMeasuresService, IWorkspacePermissionsService, IWorkspaceSettingsService, IWorkspaceStylingService, IWorkspaceDashboardsService, IWorkspaceUsersQuery, IDateFilterConfigsQuery, IWorkspaceDescriptor, IWorkspaceUserGroupsQuery, IWorkspaceAccessControlService, IAttributeHierarchiesService, IWorkspaceExportDefinitionsService, IDataFiltersService, IWorkspaceDescriptorUpdate, IWorkspaceLogicalModelService, IWorkspaceAutomationService, IGenAIService } from "@gooddata/sdk-backend-spi";
import { DecoratorFactories } from "./types.js";
export declare class AnalyticalWorkspaceDecorator implements IAnalyticalWorkspace {
    workspace: string;
    private decorated;
    private readonly factories;
    constructor(decorated: IAnalyticalWorkspace, factories: DecoratorFactories);
    getDescriptor(includeParentPrefixes?: boolean): Promise<IWorkspaceDescriptor>;
    updateDescriptor(descriptor: IWorkspaceDescriptorUpdate): Promise<IWorkspaceDescriptor>;
    getParentWorkspace(): Promise<IAnalyticalWorkspace | undefined>;
    attributes(): IWorkspaceAttributesService;
    execution(): IExecutionFactory;
    catalog(): IWorkspaceCatalogFactory;
    measures(): IWorkspaceMeasuresService;
    facts(): IWorkspaceFactsService;
    insights(): IWorkspaceInsightsService;
    dashboards(): IWorkspaceDashboardsService;
    settings(): IWorkspaceSettingsService;
    styling(): IWorkspaceStylingService;
    datasets(): IWorkspaceDatasetsService;
    permissions(): IWorkspacePermissionsService;
    users(): IWorkspaceUsersQuery;
    dateFilterConfigs(): IDateFilterConfigsQuery;
    userGroups(): IWorkspaceUserGroupsQuery;
    accessControl(): IWorkspaceAccessControlService;
    attributeHierarchies(): IAttributeHierarchiesService;
    exportDefinitions(): IWorkspaceExportDefinitionsService;
    dataFilters(): IDataFiltersService;
    logicalModel(): IWorkspaceLogicalModelService;
    automations(): IWorkspaceAutomationService;
    genAI(): IGenAIService;
}
//# sourceMappingURL=analyticalWorkspace.d.ts.map