import { IUserWorkspaceSettings, IWorkspaceSettings, IWorkspaceSettingsService } from "@gooddata/sdk-backend-spi";
import { IAlertDefault, ISeparators, type DashboardFiltersApplyMode } from "@gooddata/sdk-model";
/**
 * @alpha
 */
export declare abstract class DecoratedWorkspaceSettingsService implements IWorkspaceSettingsService {
    protected decorated: IWorkspaceSettingsService;
    protected constructor(decorated: IWorkspaceSettingsService);
    setAlertDefault(value: IAlertDefault): Promise<void>;
    getSettings(): Promise<IWorkspaceSettings>;
    getSettingsForCurrentUser(): Promise<IUserWorkspaceSettings>;
    setLocale(locale: string): Promise<void>;
    setSeparators(separators: ISeparators): Promise<void>;
    setTimezone(timezone: string): Promise<void>;
    setDateFormat(dateFormat: string): Promise<void>;
    setWeekStart(weekStart: string): Promise<void>;
    setDashboardFiltersApplyMode(dashboardFiltersApplyMode: DashboardFiltersApplyMode): Promise<void>;
    deleteDashboardFiltersApplyMode(): Promise<void>;
    setTheme(themeId: string): Promise<void>;
    deleteTheme(): Promise<void>;
    deleteColorPalette(): Promise<void>;
    setColorPalette(colorPaletteId: string): Promise<void>;
}
//# sourceMappingURL=workspaceSettings.d.ts.map